function stop_stream(L)
% Stop LabJack stream
%
% Author: DJ van Gerwen
% Created: 2016 june 5

if ~isempty(L.timer_handle)
    if isvalid(L.timer_handle)
        % Stop timer
        stop(L.timer_handle)
        
        % Delete timer
        delete(L.timer_handle)
    end
end

% Stop the stream
if L.is_running()
    
    % Stop
    if ismember(L.device_type,{'U3','UE9'})
        L.UDobject.eGet(L.lj_handle, LabJack.LabJackUD.IO.STOP_STREAM, 0, 0, 0);
    elseif strcmp(L.device_type,'T7')
        LabJack.LJM.eStreamStop(L.lj_handle);
    end
    
    % Verify stop
    if ~L.is_running()
        disp('Stream stopped')
    end
else
    disp('Stream not running')
end

% Reset data
L.backlog_string = '';

% Flag
L.stream_started = 0;

end % Stop stream
